## org.eclipse.datatools.connectivity.drivers
Interface IPropertySet

All Known Implementing Classes:
  PropertySetImpl

public interface IPropertySet

Interface for a property set object.

Author:
  brianf

Method Summary
`java.util.Properties` `getBaseProperties()`
`java.lang.String` `getID()`
`java.lang.String` `getName()`
`java.util.Properties` `getProperties(java.lang.String type)`
`void` `setBaseProperties(java.util.Properties props)`
`void` `setID(java.lang.String id)`
`void` `setName(java.lang.String newName)`
`void` `setProperties(java.lang.String type, java.util.Properties props)`

Method Detail

### getID

    public java.lang.String getID()

### setID

    public void setID(java.lang.String id)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String newName)

### getBaseProperties

    public java.util.Properties getBaseProperties()

### setBaseProperties

    public void setBaseProperties(java.util.Properties props)

### getProperties

    public java.util.Properties getProperties(java.lang.String type)

### setProperties

    public void setProperties(java.lang.String type,
                              java.util.Properties props)

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.